%define uname   Tanks-of-Freedom

Name:           tanks-of-freedom
Version:        0.7.0
Release:        %mkrel 3
Summary:        Indie turn-based strategy game in isometric pixel art
Group:          Games/Strategy
License:        MIT and CC BY-SA 4.0 and OFL
URL:            http://tof.p1x.in
Source0:        https://github.com/w84death/Tanks-of-Freedom/archive/%{version}-beta/%{uname}-%{version}-beta.tar.gz

BuildArch:      noarch
Requires:       godot-runner

%description
Classic turn-based strategy game with two armies fighting against each
other. Challenge yourself in campaign against AI or hot-seat battle
with a friend. Using easy map editor you can create any imaginable
scenario to play and share online for others to discover!

%prep
%autosetup -p1 -n %{uname}-%{version}-beta

cp -f buildConfig/engine_linux32.cfg engine.cfg

# Those files are not needed to play
rm -rf bin buildConfig .git{attributes,ignore}

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a . %{buildroot}%{_gamesdatadir}/%{name}/

cat << EOF > %{name}.sh
#!/bin/sh
exec godot-runner -path %{_gamesdatadir}/%{name} "\$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

for size in 32 48 128 256 1024; do
  install -D -m644 assets/icons/icon${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Tanks of Freedom
GenericName=Turn-based strategy game
Comment=Indie turn-based strategy game in isometric pixel art
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc CHANGELOG.md LICENSE.md README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1508160
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1291737
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 0.7.0-1.mga7
+ Revision: 1237768
- Version 0.7.0

* Wed Mar 15 2017 akien <akien> 0.6.3-1.mga6
+ Revision: 1092637
- Version 0.6.3

* Thu Jan 05 2017 akien <akien> 0.6.2-1.mga6
+ Revision: 1080269
- Version 0.6.2

* Mon Dec 05 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 1072498
- Version 0.6.1

* Thu Nov 17 2016 akien <akien> 0.6.0-1.mga6
+ Revision: 1068119
- Version 0.6.0

* Mon Sep 05 2016 akien <akien> 0.5.2-1.mga6
+ Revision: 1050185
- Version 0.5.2

* Sat May 21 2016 akien <akien> 0.5.0-1.mga6
+ Revision: 1017320
- Version 0.5.0

* Wed Mar 16 2016 akien <akien> 0.4.2-1.mga6
+ Revision: 992214
- Version 0.4.2

* Mon Feb 29 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 980996
- imported package tanks-of-freedom

